.filter {
    top: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    z-index: 1000;
    position: fixed;
    background: $white;
    border: 1px solid #E3E4E4;
    border-radius: 8px 0 0 8px;
    transform: translateX(100%);
    transition: .3s;

    &__toggle {
        left: -90px;
        top: calc(50% - 18px);
        fill: $white;
        color: $white;
        background: $blue;
        border: none;
        outline: none;
        cursor: pointer;
        height: toRem(36);
        border-radius: 8px 8px 0 0;
        padding: toRem(4) toRem(14) toRem(8) toRem(14);
        z-index: 999;
        position: absolute;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        font-size: toRem(14);
        line-height: toRem(16);
        transform: rotate(-90deg);
        white-space: nowrap;
        transition: .25s;

        i {
            flex-shrink: 0;
            font-size: 0;
            line-height: 0;
            height: toRem(16);
            display: inline-block;
            margin-left: toRem(8);
            transform: rotate(90deg);
        }

        span {
            display: inline-block;
        }

        &:hover {
            fill: $white;
            color: $white;
            background: #1461ff;
            transition: .25s;
        }
    }

    &__container {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        padding: 0 toRem(20) 0 toRem(48);
        position: absolute;
    }

    &__header {
        color: $black;
        height: toRem(44);
        font-size: toRem(14);
        line-height: toRem(20);
        border-bottom: 1px solid $line;
        display: flex;
        align-items: center;
    }

    &__main {
        padding: 4px 0;
    }

    &__group {

        &:not(:last-child) {
            margin-bottom: 10px;
        }

        &.open {

            .filter {

                &__arrow {
                    transform: rotate(180deg);
                    transition: .25s;
                }
            }
        }
    }

    &__title {
        color: $black;
        cursor: pointer;
        font-size: toRem(14);
        line-height: toRem(18);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__arrow {
        width: toRem(16);
        height: toRem(16);
        margin-right: toRem(8);
        fill: $black;
        flex-shrink: 0;
        transform: rotate(0deg);
        transition: .25s;
    }

    &__control {
        display: flex;
        align-items: center;
    }

    &__name {

    }

    &__switch {
        font-size: 0;
        line-height: 0;
    }

    &__wrap {
       padding: toRem(8) 0 toRem(8) toRem(24);
    }

    &__limiter {
        max-width: toRem(210);
    }

    &__footer {
        padding: toRem(10) 0;
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }

    @include media-breakpoint-up(md) {
        width: 480px;
        top: 129px;
        bottom: 0;

        &__container {
            padding: 0 toRem(48);
        }
    }

    @include media-breakpoint-up(md) {
        width: 480px;
    }

    &.open {
        transform: translateX(0%);
        transition: .3s;

        .filter {

            &__toggle {
                left: -54px;
                border-radius: 0 0 8px 8px;
                transition: .25s;

                i {
                    transform: rotate(-90deg);
                    transition: .25s;
                }
            }
        }
    }
}

.filter-open {
    overflow: hidden;

    .filter {
        transform: translateX(0%);
        transition: .3s;

        &__toggle {
            left: -54px;
            border-radius: 0 0 8px 8px;
            transition: .25s;

            i {
                transform: rotate(-90deg);
                transition: .25s;
            }
        }
    }

    @include media-breakpoint-up(md) {
        overflow: visible;
    }
}

.switcher {
    font-size: 0;
    line-height: 0;
    overflow: hidden;
    position: relative;
    cursor: pointer;
    display: inline-block;

    input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        overflow: hidden;
        position: absolute;

        &:checked + span {
            background: #003DE4;
            transition: .25s;

            &:before {
                left: calc(100% - 14px);
                transition: .25s;
            }
        }
    }

    span {
        width: 32px;
        height: 16px;
        border-radius: 8px;
        background: #959595;
        display: inline-block;
        transition: .25s;

        &:before {
            left: 2px;
            top: calc(50% - 6px);
            content: '';
            width: 12px;
            height: 12px;
            z-index: 5;
            position: absolute;
            border-radius: 50%;
            background: $white;
            transition: .25s;
        }
    }
}

.filter-list {
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    list-style: none;
    display: grid;
    grid-row-gap: toRem(7);
}
